.btn,
.btn-burger,
.field input[type=file]::file-selector-button,
.breadcrumb,
.breadcrumb-center,
.breadcrumb-right,
.breadcrumb > ul a,
.breadcrumb-center > ul a,
.breadcrumb-right > ul a,
.nav,
.nav .container,
.nav .nav-link a.nav-item,
.nav .nav-link .nav-item a,
.nav .nav-link-center a.nav-item,
.nav .nav-link-center .nav-item a,
.nav .nav-link-right a.nav-item,
.nav .nav-link-right .nav-item a,
.nav .container .nav-link a.nav-item,
.nav .container .nav-link .nav-item a,
.nav .container .nav-link-center a.nav-item,
.nav .container .nav-link-center .nav-item a,
.nav .container .nav-link-right a.nav-item,
.nav .container .nav-link-right .nav-item a,
.card,
[class*="card-fill"],
.pagination {
  text-transform: none;
  text-shadow: none;
  font-style: normal;
  text-decoration: none;
}

.btn,
.btn-burger,
.field input[type=file]::file-selector-button,
.breadcrumb,
.breadcrumb-center,
.breadcrumb-right,
.nav,
.nav .container,
.nav .nav-link a.nav-item,
.nav .nav-link .nav-item a,
.nav .nav-link-center a.nav-item,
.nav .nav-link-center .nav-item a,
.nav .nav-link-right a.nav-item,
.nav .nav-link-right .nav-item a,
.nav .container .nav-link a.nav-item,
.nav .container .nav-link .nav-item a,
.nav .container .nav-link-center a.nav-item,
.nav .container .nav-link-center .nav-item a,
.nav .container .nav-link-right a.nav-item,
.nav .container .nav-link-right .nav-item a,
.field-select > select option,
.field-select-multiple > select option,
.pagination {
  position: relative;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  margin: 0;
  padding: 0.5em 0.75em;
  outline: none;
  border: 1px solid transparent;
}

.field > input.size-sm:not([type]),
.field > input.size-sm[type="text"],
.field > input.size-sm[type="password"],
.field > input.size-sm[type="email"],
.field > input.size-sm[type="url"],
.field > input.size-sm[type="time"],
.field > input.size-sm[type="date"],
.field > input.size-sm[type="datetime"],
.field > input.size-sm[type="datetime-local"],
.field > input.size-sm[type="tel"],
.field > input.size-sm[type="number"],
.field > input.size-sm[type="search"],
.field > textarea.size-sm,
.field-select > select.size-sm,
.field-select-multiple > select.size-sm,
.size-sm.btn,
.size-sm.btn-burger,
.field input.size-sm[type=file]::file-selector-button,
.size-sm.breadcrumb,
.size-sm.breadcrumb-center,
.size-sm.breadcrumb-right,
.size-sm.nav,
.nav .size-sm.container,
.size-sm.pagination {
  font-size: 0.75rem;
}

.field > input.size-lg:not([type]),
.field > input.size-lg[type="text"],
.field > input.size-lg[type="password"],
.field > input.size-lg[type="email"],
.field > input.size-lg[type="url"],
.field > input.size-lg[type="time"],
.field > input.size-lg[type="date"],
.field > input.size-lg[type="datetime"],
.field > input.size-lg[type="datetime-local"],
.field > input.size-lg[type="tel"],
.field > input.size-lg[type="number"],
.field > input.size-lg[type="search"],
.field > textarea.size-lg,
.field-select > select.size-lg,
.field-select-multiple > select.size-lg,
.size-lg.btn,
.size-lg.btn-burger,
.field input.size-lg[type=file]::file-selector-button,
.size-lg.breadcrumb,
.size-lg.breadcrumb-center,
.size-lg.breadcrumb-right,
.size-lg.nav,
.nav .size-lg.container,
.size-lg.pagination {
  font-size: 1.25rem;
}

.field > input.size-xl:not([type]),
.field > input.size-xl[type="text"],
.field > input.size-xl[type="password"],
.field > input.size-xl[type="email"],
.field > input.size-xl[type="url"],
.field > input.size-xl[type="time"],
.field > input.size-xl[type="date"],
.field > input.size-xl[type="datetime"],
.field > input.size-xl[type="datetime-local"],
.field > input.size-xl[type="tel"],
.field > input.size-xl[type="number"],
.field > input.size-xl[type="search"],
.field > textarea.size-xl,
.field-select > select.size-xl,
.field-select-multiple > select.size-xl,
.size-xl.btn,
.size-xl.btn-burger,
.field input.size-xl[type=file]::file-selector-button,
.size-xl.breadcrumb,
.size-xl.breadcrumb-center,
.size-xl.breadcrumb-right,
.size-xl.nav,
.nav .size-xl.container,
.size-xl.pagination {
  font-size: 1.5rem;
}

:root {
  --alert-border-radius: var(--var-base-border-raduis);
  --alert-spacing-vertical: 0.875rem;
  --alert-spacing-horizontal: 1.5rem;
  --alert-box-shadow: 0 0 0 100vmax rgba(255, 255, 255, 0.1) inset;
  --badge-font-size: 0.75rem;
  --badge-border-radius: var(--var-base-border-raduis);
  --badge-padding-vertical: 0.375em;
  --badge-padding-horizontal: 0.75em;
  --btn-padding-vertical: 0.5625rem;
  --btn-padding-horizontal: 1.5rem;
  --btn-raduis: var(--var-base-border-raduis);
  --btn-font-family: BlinkMacSystemFont, -apple-system, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, Helvetica, Arial, sans-serif;
  --btn-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.2), 0 2px 10px 0 rgba(0, 0, 0, 0.1);
  --card-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
  --card-border-color: rgba(0, 0, 0, 0.125);
  --card-radius: 5px;
  --card-fill-gutter: calc(-100% + 5px);
  --pagination-item-size: 2.5rem;
  --pagination-item-background-hover: var(--gray-100-color);
  --pagination-item-margin: 2px;
  --pagination-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  --pagination-link-font-weight: 500;
  --pagination-navigation-margin: 10px;
  --table-padding-vertical: 12px;
  --table-padding-horizontal: 15px;
  --table-border-color: var(--gray-300-color);
  --table-odd-color: var(--gray-100-color);
  --table-fill-size: 3px;
  --sidebar-min-width: 300px;
  --sidebar-item-padding-horizontal: 2em;
  --sidebar-item-padding-vertical: 0.625em;
  --modal-min-width: calc(320px - 2 * 2em);
  --modal-margin: 2em;
  --modal-transform: 2em;
}

.field > input.size-sm:not([type]) ~ *[class*="icon-"],
.field > input.size-sm[type="text"] ~ *[class*="icon-"],
.field > input.size-sm[type="password"] ~ *[class*="icon-"],
.field > input.size-sm[type="email"] ~ *[class*="icon-"],
.field > input.size-sm[type="url"] ~ *[class*="icon-"],
.field > input.size-sm[type="time"] ~ *[class*="icon-"],
.field > input.size-sm[type="date"] ~ *[class*="icon-"],
.field > input.size-sm[type="datetime"] ~ *[class*="icon-"],
.field > input.size-sm[type="datetime-local"] ~ *[class*="icon-"],
.field > input.size-sm[type="tel"] ~ *[class*="icon-"],
.field > input.size-sm[type="number"] ~ *[class*="icon-"],
.field > input.size-sm[type="search"] ~ *[class*="icon-"],
.field-select > select.size-sm ~ *[class*="icon-"],
.field-select-multiple > select.size-sm ~ *[class*="icon-"],
.field > input:not([type]) input.size-sm ~ * [class*="icon-"],
.field > input[type="text"] input.size-sm ~ * [class*="icon-"],
.field > input[type="password"] input.size-sm ~ * [class*="icon-"],
.field > input[type="email"] input.size-sm ~ * [class*="icon-"],
.field > input[type="url"] input.size-sm ~ * [class*="icon-"],
.field > input[type="time"] input.size-sm ~ * [class*="icon-"],
.field > input[type="date"] input.size-sm ~ * [class*="icon-"],
.field > input[type="datetime"] input.size-sm ~ * [class*="icon-"],
.field > input[type="datetime-local"] input.size-sm ~ * [class*="icon-"],
.field > input[type="tel"] input.size-sm ~ * [class*="icon-"],
.field > input[type="number"] input.size-sm ~ * [class*="icon-"],
.field > input[type="search"] input.size-sm ~ * [class*="icon-"],
.field-select > select input.size-sm ~ * [class*="icon-"],
.field-select-multiple > select input.size-sm ~ * [class*="icon-"] {
  font-size: 0.75rem;
}

.field > input.size-lg:not([type]) ~ *[class*="icon-"],
.field > input.size-lg[type="text"] ~ *[class*="icon-"],
.field > input.size-lg[type="password"] ~ *[class*="icon-"],
.field > input.size-lg[type="email"] ~ *[class*="icon-"],
.field > input.size-lg[type="url"] ~ *[class*="icon-"],
.field > input.size-lg[type="time"] ~ *[class*="icon-"],
.field > input.size-lg[type="date"] ~ *[class*="icon-"],
.field > input.size-lg[type="datetime"] ~ *[class*="icon-"],
.field > input.size-lg[type="datetime-local"] ~ *[class*="icon-"],
.field > input.size-lg[type="tel"] ~ *[class*="icon-"],
.field > input.size-lg[type="number"] ~ *[class*="icon-"],
.field > input.size-lg[type="search"] ~ *[class*="icon-"],
.field-select > select.size-lg ~ *[class*="icon-"],
.field-select-multiple > select.size-lg ~ *[class*="icon-"],
.field > input:not([type]) input.size-lg ~ * [class*="icon-"],
.field > input[type="text"] input.size-lg ~ * [class*="icon-"],
.field > input[type="password"] input.size-lg ~ * [class*="icon-"],
.field > input[type="email"] input.size-lg ~ * [class*="icon-"],
.field > input[type="url"] input.size-lg ~ * [class*="icon-"],
.field > input[type="time"] input.size-lg ~ * [class*="icon-"],
.field > input[type="date"] input.size-lg ~ * [class*="icon-"],
.field > input[type="datetime"] input.size-lg ~ * [class*="icon-"],
.field > input[type="datetime-local"] input.size-lg ~ * [class*="icon-"],
.field > input[type="tel"] input.size-lg ~ * [class*="icon-"],
.field > input[type="number"] input.size-lg ~ * [class*="icon-"],
.field > input[type="search"] input.size-lg ~ * [class*="icon-"],
.field-select > select input.size-lg ~ * [class*="icon-"],
.field-select-multiple > select input.size-lg ~ * [class*="icon-"] {
  font-size: 1.25rem;
}

.field > input.size-xl:not([type]) ~ *[class*="icon-"],
.field > input.size-xl[type="text"] ~ *[class*="icon-"],
.field > input.size-xl[type="password"] ~ *[class*="icon-"],
.field > input.size-xl[type="email"] ~ *[class*="icon-"],
.field > input.size-xl[type="url"] ~ *[class*="icon-"],
.field > input.size-xl[type="time"] ~ *[class*="icon-"],
.field > input.size-xl[type="date"] ~ *[class*="icon-"],
.field > input.size-xl[type="datetime"] ~ *[class*="icon-"],
.field > input.size-xl[type="datetime-local"] ~ *[class*="icon-"],
.field > input.size-xl[type="tel"] ~ *[class*="icon-"],
.field > input.size-xl[type="number"] ~ *[class*="icon-"],
.field > input.size-xl[type="search"] ~ *[class*="icon-"],
.field-select > select.size-xl ~ *[class*="icon-"],
.field-select-multiple > select.size-xl ~ *[class*="icon-"],
.field > input:not([type]) input.size-xl ~ * [class*="icon-"],
.field > input[type="text"] input.size-xl ~ * [class*="icon-"],
.field > input[type="password"] input.size-xl ~ * [class*="icon-"],
.field > input[type="email"] input.size-xl ~ * [class*="icon-"],
.field > input[type="url"] input.size-xl ~ * [class*="icon-"],
.field > input[type="time"] input.size-xl ~ * [class*="icon-"],
.field > input[type="date"] input.size-xl ~ * [class*="icon-"],
.field > input[type="datetime"] input.size-xl ~ * [class*="icon-"],
.field > input[type="datetime-local"] input.size-xl ~ * [class*="icon-"],
.field > input[type="tel"] input.size-xl ~ * [class*="icon-"],
.field > input[type="number"] input.size-xl ~ * [class*="icon-"],
.field > input[type="search"] input.size-xl ~ * [class*="icon-"],
.field-select > select input.size-xl ~ * [class*="icon-"],
.field-select-multiple > select input.size-xl ~ * [class*="icon-"] {
  font-size: 1.5rem;
}

.btn:focus,
.btn-burger:focus,
.field input:focus[type=file]::file-selector-button {
  box-shadow: 0 0 0 0.1875em rgba(50, 115, 220, 0.25);
}

.btn[disabled],
.btn-burger[disabled],
.field input[disabled][type=file]::file-selector-button {
  cursor: not-allowed;
  opacity: .455;
}

.btn:not([disabled]):not(.outline):not(.link):hover:after,
.btn-burger:not([disabled]):not(.outline):not(.link):hover:after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: block;
  border-radius: inherit;
  border: inherit;
  background-color: rgba(0, 0, 0, 0.1);
}

.field > input:not([type]),
.field > input[type="text"],
.field > input[type="password"],
.field > input[type="email"],
.field > input[type="url"],
.field > input[type="time"],
.field > input[type="date"],
.field > input[type="datetime"],
.field > input[type="datetime-local"],
.field > input[type="tel"],
.field > input[type="number"],
.field > input[type="search"],
.field > textarea,
.field-select > select,
.field-select-multiple > select {
  display: flex;
  position: relative;
  align-items: center;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  box-shadow: none;
  margin: 0;
  padding: 0.5em 0.75em;
  vertical-align: baseline;
  outline: none;
  color: var(--var-text-color);
  border: 1px solid var(--var-bg-color);
  border-radius: var(--var-base-border-raduis);
  line-height: var(--line-height);
  vertical-align: middle;
  width: 100%;
}

.field > input:focus:not([type]),
.field > input:focus[type="text"],
.field > input:focus[type="password"],
.field > input:focus[type="email"],
.field > input:focus[type="url"],
.field > input:focus[type="time"],
.field > input:focus[type="date"],
.field > input:focus[type="datetime"],
.field > input:focus[type="datetime-local"],
.field > input:focus[type="tel"],
.field > input:focus[type="number"],
.field > input:focus[type="search"],
.field > textarea:focus,
.field-select > select:focus,
.field-select-multiple > select:focus {
  border-color: var(--var-bg-color);
  box-shadow: 0 0 0 0.125em rgba(50, 115, 220, 0.25), 0 0 0 0.035em var(--var-bg-color);
}

.sidebar-wrapper,
.modal-wrapper {
  opacity: 0;
  transition: opacity 0.3s linear;
}

.active.sidebar-wrapper,
.active.modal-wrapper {
  opacity: 1;
}

[class*="card-fill"].animate {
  transition: 0.3s;
  color: inherit !important;
}

[class*="card-fill"].animate:before {
  transition: 0.3s ease-in-out;
}

[class*="card-fill"].animate:hover {
  color: var(--var-text-color) !important;
  transition: 0.3s ease-in-out;
}

[class*="card-fill"].animate:hover > .card-item {
  color: var(--var-text-color) !important;
}

[class*="card-fill"].animate:hover:before {
  bottom: 0;
}

[class*="card-fill"].animate > .card-item {
  --var-text-color: initial !important;
}

.card-fill-top.animate:hover:before {
  top: 0;
}

.card-fill-left.animate:hover:before {
  left: 0;
}

.card-fill-right.animate:hover:before {
  right: 0;
}

.btn,
.btn-burger,
.field input[type=file]::file-selector-button {
  padding-top: var(--btn-padding-vertical);
  padding-bottom: var(--btn-padding-vertical);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  line-height: 1.5;
  color: var(--var-text-color);
  cursor: pointer;
  vertical-align: middle;
  text-align: center;
  white-space: nowrap;
  text-decoration: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.btn {
  padding-right: var(--btn-padding-horizontal);
  padding-left: var(--btn-padding-horizontal);
  font-family: var(--btn-font-family);
  background-color: var(--var-bg-color);
  border-radius: var(--btn-raduis);
  box-shadow: var(--btn-box-shadow);
}

.btn > .icon:first-of-type:not(:last-of-type) {
  margin-right: 0.5rem;
}

.btn > .icon:last-of-type:not(:first-of-type) {
  margin-left: 0.5rem;
}

.btn.link {
  background-color: transparent;
  color: var(--var-bg-color);
  border-color: var(--var-bg-color);
}

.btn.link:hover {
  text-decoration: underline;
  opacity: .8;
  box-shadow: 0 0 0 0.0625em rgba(0, 0, 0, 0.25) inset;
}

.btn.outline {
  background-color: transparent;
  color: var(--var-bg-color);
  border-color: var(--var-bg-color);
}

.btn.outline:hover {
  background-color: var(--var-bg-color);
  color: var(--var-text-color);
  border-color: transparent;
}

.btn-burger {
  background-color: transparent !important;
}

.badge {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--var-bg-color);
  color: var(--var-text-color);
  border: 1px solid transparent;
  border-radius: var(--badge-border-radius);
  font-size: var(--badge-font-size);
  padding: var(--badge-padding-vertical) var(--badge-padding-horizontal);
  white-space: nowrap;
}

.badge.round {
  padding-right: 1em;
  padding-left: 1em;
}

.badge.link {
  background-color: transparent;
  color: var(--var-bg-color);
  border-color: var(--var-bg-color);
}

.badge.size-lg {
  font-size: 1rem;
}

.badge.size-xl {
  font-size: 1.25rem;
}

.alert,
.alert-link {
  --alert-background: var(--var-bg-color);
  --alert-text-color: var(--var-text-color);
  position: relative;
  background: var(--var-bg-color);
  color: var(--var-text-color);
  padding: var(--alert-spacing-vertical) var(--alert-spacing-horizontal);
  border: 1px solid transparent;
  border-radius: var(--alert-border-radius);
  box-shadow: var(--alert-box-shadow);
}

.alert .close,
.alert-link .close {
  position: absolute;
  top: 0;
  right: 0;
  cursor: pointer;
  padding: var(--alert-spacing-vertical) var(--alert-spacing-horizontal);
  color: inherit;
}

.alert-link {
  box-shadow: 0 0 0 100vmax rgba(255, 255, 255, 0.45) inset;
}

.alert-link.fill {
  border-left: 5px solid var(--var-bg-color);
}

.breadcrumb,
.breadcrumb-center,
.breadcrumb-right {
  display: flex;
  align-items: center;
  vertical-align: middle;
  flex-wrap: wrap;
  background-color: var(--var-bg-color);
  color: var(--var-text-color);
  width: 100%;
  max-width: 100%;
}

.breadcrumb > ul,
.breadcrumb-center > ul,
.breadcrumb-right > ul {
  display: flex;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.breadcrumb > ul > li:before,
.breadcrumb-center > ul > li:before,
.breadcrumb-right > ul > li:before {
  content: "/";
  padding-right: 20px;
}

.breadcrumb > ul > li:first-child:before,
.breadcrumb-center > ul > li:first-child:before,
.breadcrumb-right > ul > li:first-child:before {
  content: "";
}

.breadcrumb > ul > li.separator:before,
.breadcrumb > ul > li.separator ~ li:before,
.breadcrumb-center > ul > li.separator:before,
.breadcrumb-center > ul > li.separator ~ li:before,
.breadcrumb-right > ul > li.separator:before,
.breadcrumb-right > ul > li.separator ~ li:before {
  content: none;
}

.breadcrumb > ul > li.separator > *,
.breadcrumb-center > ul > li.separator > *,
.breadcrumb-right > ul > li.separator > * {
  margin-right: 20px;
}

.breadcrumb > ul > li.active a,
.breadcrumb-center > ul > li.active a,
.breadcrumb-right > ul > li.active a {
  font-weight: 700;
}

.breadcrumb > ul a,
.breadcrumb-center > ul a,
.breadcrumb-right > ul a {
  font-size: inherit;
  color: inherit;
  padding-right: 20px;
}

.breadcrumb-center {
  justify-content: center;
}

.breadcrumb-right {
  justify-content: flex-end;
}

.nav,
.nav .container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 0 0.75em;
  background-color: var(--var-bg-color);
  color: var(--var-text-color);
  z-index: 1030;
}

.nav .nav-brand,
.nav .container .nav-brand {
  margin: 0 20px 0 0;
}

.nav .nav-link,
.nav .nav-link-center,
.nav .nav-link-right,
.nav .container .nav-link,
.nav .container .nav-link-center,
.nav .container .nav-link-right {
  flex-grow: 1;
  list-style: none;
  display: inline-flex;
  margin: 0 0.375em;
  padding: 0;
}

.nav .nav-link a.nav-item,
.nav .nav-link .nav-item a,
.nav .nav-link-center a.nav-item,
.nav .nav-link-center .nav-item a,
.nav .nav-link-right a.nav-item,
.nav .nav-link-right .nav-item a,
.nav .container .nav-link a.nav-item,
.nav .container .nav-link .nav-item a,
.nav .container .nav-link-center a.nav-item,
.nav .container .nav-link-center .nav-item a,
.nav .container .nav-link-right a.nav-item,
.nav .container .nav-link-right .nav-item a {
  display: inline-flex;
  align-items: center;
  font-size: inherit;
  color: inherit;
  padding: 1.125em 0.375em;
  border-radius: 5px;
}

.nav .nav-link a.nav-item.active,
.nav .nav-link .nav-item.active a,
.nav .nav-link-center a.nav-item.active,
.nav .nav-link-center .nav-item.active a,
.nav .nav-link-right a.nav-item.active,
.nav .nav-link-right .nav-item.active a,
.nav .container .nav-link a.nav-item.active,
.nav .container .nav-link .nav-item.active a,
.nav .container .nav-link-center a.nav-item.active,
.nav .container .nav-link-center .nav-item.active a,
.nav .container .nav-link-right a.nav-item.active,
.nav .container .nav-link-right .nav-item.active a {
  font-weight: 700;
}

.nav .nav-link-center,
.nav .container .nav-link-center {
  justify-content: center;
}

.nav .nav-link-right,
.nav .container .nav-link-right {
  justify-content: flex-end;
}

.card,
[class*="card-fill"] {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: #ffffff;
  word-break: break-word;
  box-shadow: var(--card-shadow);
  border-radius: var(--card-radius);
  min-width: 0;
  border: none;
  transition: box-shadow .1s ease-in-out;
}

.card > .card-item,
[class*="card-fill"] > .card-item {
  flex-grow: 1;
  display: block;
  border: 1px solid var(--card-border-color);
  border-radius: inherit;
  padding: 0.75rem 1rem;
  margin: 0;
  position: relative;
}

.card > .card-item > .card-image,
[class*="card-fill"] > .card-item > .card-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: inherit;
  z-index: 1;
}

.card > .card-item > .card-image > img,
.card > .card-item > .card-image > video,
[class*="card-fill"] > .card-item > .card-image > img,
[class*="card-fill"] > .card-item > .card-image > video {
  width: 100%;
  height: 100%;
  border-radius: inherit;
  z-index: 1;
}

.card > *:nth-child(n+2):not(:last-child),
[class*="card-fill"] > *:nth-child(n+2):not(:last-child) {
  border-radius: 0;
}

.card > *:last-child,
.card > *:last-child.card-image > img,
[class*="card-fill"] > *:last-child,
[class*="card-fill"] > *:last-child.card-image > img {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.card > *:first-child,
.card > *:first-child.card-image > img,
[class*="card-fill"] > *:first-child,
[class*="card-fill"] > *:first-child.card-image > img {
  border-top-left-radius: var(--card-radius) !important;
  border-top-right-radius: var(--card-radius) !important;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

[class*="card-fill"] {
  overflow: hidden;
}

[class*="card-fill"] > * {
  position: relative;
  z-index: 2;
}

[class*="card-fill"]:before {
  position: absolute;
  content: '';
  left: 0;
  bottom: var(--card-fill-gutter);
  width: 100%;
  height: 100%;
  background-color: var(--var-bg-color);
  z-index: 1;
}

.card-fill-top:before {
  bottom: auto;
  top: var(--card-fill-gutter);
}

.card-fill-left:before {
  bottom: auto;
  left: var(--card-fill-gutter);
}

.card-fill-right:before {
  bottom: auto;
  left: auto;
  right: var(--card-fill-gutter);
}

.field-checkbox,
.field-radio,
.field-switch {
  --field-checkbox-size: 22px;
  --field-checkbox-icon-size: 11px;
  --var-bg-color: var(--info-color);
}

.field-checkbox,
.field-checkbox > input[type="checkbox"],
.field-checkbox > input[type="radio"],
.field-checkbox .field-label,
.field-radio,
.field-radio > input[type="checkbox"],
.field-radio > input[type="radio"],
.field-radio .field-label,
.field-switch,
.field-switch > input[type="checkbox"],
.field-switch > input[type="radio"],
.field-switch .field-label {
  display: inline-flex;
  align-items: center;
}

.field-checkbox > .field-label label,
.field-radio > .field-label label,
.field-switch > .field-label label {
  vertical-align: middle;
  cursor: pointer;
  font-weight: 400;
}

.field,
.field-select,
.field-select-multiple {
  --var-bg-color: var(--gray-500-color);
  --var-text-color: var(--gray-700-color);
  --field-line-height: 25px;
  --field-line-label-height: 0px;
  --field-line-helper-height: 0px;
  --field-icon-space: 2.5em;
  --field-icon-padding: 0.9375em;
  display: flex;
  flex-direction: column;
  position: relative;
  color: var(--var-bg-color);
}

.field > .field-label,
.field-select > .field-label,
.field-select-multiple > .field-label {
  order: 1;
}

.field > .field-helper,
.field-select > .field-helper,
.field-select-multiple > .field-helper {
  order: 3;
  line-height: var(--field-line-helper-height);
  font-size: 14px;
}

.field > input,
.field > textarea,
.field > select,
.field-select > input,
.field-select > textarea,
.field-select > select,
.field-select-multiple > input,
.field-select-multiple > textarea,
.field-select-multiple > select {
  order: 2;
}

.field > input.round ~ .field-label,
.field > input.round ~ .field-helper,
.field > textarea.round ~ .field-label,
.field > textarea.round ~ .field-helper,
.field > select.round ~ .field-label,
.field > select.round ~ .field-helper,
.field-select > input.round ~ .field-label,
.field-select > input.round ~ .field-helper,
.field-select > textarea.round ~ .field-label,
.field-select > textarea.round ~ .field-helper,
.field-select > select.round ~ .field-label,
.field-select > select.round ~ .field-helper,
.field-select-multiple > input.round ~ .field-label,
.field-select-multiple > input.round ~ .field-helper,
.field-select-multiple > textarea.round ~ .field-label,
.field-select-multiple > textarea.round ~ .field-helper,
.field-select-multiple > select.round ~ .field-label,
.field-select-multiple > select.round ~ .field-helper {
  margin-left: var(--field-icon-padding);
  margin-right: var(--field-icon-padding);
}

.field.with-label,
.field-select.with-label,
.field-select-multiple.with-label {
  --field-line-label-height: var(--field-line-height);
}

.field.with-helper,
.field-select.with-helper,
.field-select-multiple.with-helper {
  --field-line-helper-height: var(--field-line-height);
}

.field.with-icon-right > input,
.field.with-icon-right > select,
.field-select.with-icon-right > input,
.field-select.with-icon-right > select {
  padding-right: var(--field-icon-space) !important;
}

.field.with-icon-right .icon-right,
.field-select.with-icon-right .icon-right {
  right: var(--field-icon-padding) !important;
}

.field.with-icon-left > input,
.field.with-icon-left > select,
.field-select.with-icon-left > input,
.field-select.with-icon-left > select {
  padding-left: var(--field-icon-space) !important;
}

.field.with-icon-left > .icon-left,
.field-select.with-icon-left > .icon-left {
  left: var(--field-icon-padding) !important;
}

.field.with-icon-left .icon-left,
.field.with-icon-right .icon-right,
.field-select.with-icon-left .icon-left,
.field-select.with-icon-right .icon-right {
  position: absolute;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: inherit;
  top: calc(50% + var(--field-line-label-height) - var(--field-line-helper-height));
  transform: translateY(calc(-50% + (var(--field-line-helper-height) - var(--field-line-label-height)) / 2));
  z-index: 2;
}

label {
  color: var(--gray-500-color);
  font-weight: var(--font-weight-title);
  line-height: var(--field-line-label-height);
}

.field > input[type="file"] {
  --var-text-color: var(--white-color);
  background-color: var(--white-color);
  border-radius: var(--var-base-border-raduis);
  box-shadow: 1px 1px 5px var(--var-bg-color);
  outline: none;
}

.field > input[type="file"]::file-selector-button {
  background-color: var(--var-bg-color);
  color: var(--var-text-color);
}

.field > input[type="file"].round {
  padding-left: 0;
}

.field-select > select,
.field-select-multiple > select {
  cursor: pointer;
  background-color: var(--white-color);
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}

.field-select > select option,
.field-select-multiple > select option {
  display: block;
  border-radius: var(--var-base-border-raduis);
  margin-top: 2px;
  margin-bottom: 2px;
}

.field-select > select {
  padding-right: var(--field-icon-space);
}

.field-select.with-label::after {
  --field-line-label-height: 25px;
}

.field-select.with-helper::after {
  --field-line-helper-height: 25px;
}

.field-select:not(.with-icon-right)::after {
  content: "";
  position: absolute;
  display: block;
  pointer-events: none;
  width: 10px;
  height: 10px;
  transform-origin: center;
  right: var(--field-icon-padding);
  border-width: 3px;
  border-style: solid;
  border-right: 0;
  border-top: 0;
  border-color: inherit;
  border-radius: 2px;
  top: calc(50% + var(--field-line-label-height) - var(--field-line-helper-height));
  transform: translateY(calc(-50% - 2px + (var(--field-line-helper-height) - var(--field-line-label-height)) / 2)) rotate(-45deg);
  z-index: 2;
}

.field-checkbox > input[type="checkbox"]:not(.field-switch) {
  position: relative;
  align-items: center;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  height: 22px;
  width: 22px;
  background-color: var(--white-color);
  border: 1px solid var(--gray-500-color);
  border-radius: var(--var-base-border-raduis);
  cursor: pointer;
  outline: none;
  margin-right: 10px;
}

.field-checkbox > input[type="checkbox"]:not(.field-switch)::after {
  content: '';
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 11px;
  height: 8px;
  border-bottom: 3px solid white;
  border-left: 3px solid white;
  transform: rotate(-45deg) translateY(-100%);
}

.field-checkbox > input[type="checkbox"]:not(.field-switch):checked {
  background-color: var(--var-bg-color);
  border-color: var(--var-bg-color);
}

.field-checkbox > input[type="checkbox"]:not(.field-switch):checked::after {
  display: block;
}

.field-checkbox > input[type="checkbox"]:not(.field-switch).round {
  border-radius: 50%;
  padding: 0;
}

.field-switch > .field-label:first-child {
  order: 1;
}

.field-switch > .field-label:last-child {
  order: 3;
}

.field-switch input[type="checkbox"] {
  order: 2;
  margin-left: 10px;
  margin-right: 10px;
  cursor: pointer;
  position: relative;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  outline: none;
  width: 50px;
  height: 22px;
  background-color: var(--gray-500-color);
  border-radius: 22px;
  box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
}

.field-switch input[type="checkbox"]::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 2px;
  width: 18px;
  height: 18px;
  background-color: #ffffff;
  border-radius: 100%;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  transform: translateY(-50%);
  transition: .25s ease-in-out;
}

.field-switch input[type="checkbox"]:checked {
  background-color: var(--var-bg-color);
}

.field-switch input[type="checkbox"]:checked::after {
  left: 30px;
}

.field-switch input[type="checkbox"].slim {
  border-radius: 0;
  height: 3px;
}

.field-switch input[type="checkbox"].slim:checked:after {
  left: 32px;
}

.field-switch input[type="checkbox"].round {
  border-radius: 0;
  height: 18px;
}

.field-switch input[type="checkbox"].round::after {
  width: 24px;
  height: 24px;
  left: -2px;
}

.field-switch input[type="checkbox"].round:checked:after {
  left: 32px;
}

.field-radio > [type="radio"] {
  justify-content: center;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  height: 22px;
  width: 22px;
  background-color: var(--white-color);
  border: 2px solid var(--gray-500-color);
  border-radius: 100%;
  cursor: pointer;
  outline: none;
  margin-right: 10px;
}

.field-radio > [type="radio"]::after {
  content: '';
  display: none;
  width: 10px;
  height: 10px;
  border-radius: 100%;
  border: none;
}

.field-radio > [type="radio"]:checked {
  border-color: var(--var-bg-color);
}

.field-radio > [type="radio"]:checked::after {
  display: block;
  background-color: var(--var-bg-color);
}

.table {
  display: table;
  border-collapse: collapse;
  border-spacing: 0;
  padding: 0;
  width: 100%;
  border-radius: 5px 5px 0 0;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
  overflow: hidden;
}

.table thead tr {
  text-align: left;
  font-weight: bold;
}

.table th,
.table td {
  padding: var(--table-padding-vertical) var(--table-padding-horizontal);
}

.table tr {
  border-bottom: 1px solid var(--table-border-color);
}

.table tr.active-row {
  font-weight: bold;
  color: var(--var-bg-color);
}

.table.with-color thead tr {
  background-color: var(--var-bg-color);
  color: var(--white-color);
}

.table.with-fill tbody tr:last-of-type {
  border-bottom: var(--table-fill-size) solid var(--var-bg-color);
}

.table.with-stripe tbody tr:nth-of-type(odd) {
  background-color: var(--table-odd-color) !important;
}

.table.with-border table,
.table.with-border tr * {
  border: 1px solid var(--table-border-color);
}

.table.with-center tr * {
  text-align: center;
}

.table.with-hover tbody tr:hover {
  background-color: var(--table-odd-color);
}

.table-responsive {
  overflow-x: auto;
  padding: 0.3125em;
}

.table-responsive .table {
  margin: 0;
}

.pagination {
  display: flex;
  align-items: center;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  border-radius: var(--var-base-border-raduis);
  box-shadow: var(--pagination-shadow);
}

.pagination > * {
  list-style: none;
  line-height: var(--pagination-item-size);
}

.pagination .page-prev {
  margin-right: var(--pagination-navigation-margin);
}

.pagination .page-next {
  margin-left: var(--pagination-navigation-margin);
}

.pagination .page-item {
  width: var(--pagination-item-size);
  height: var(--pagination-item-size);
  margin-right: var(--pagination-item-margin);
  margin-left: var(--pagination-item-margin);
  text-align: center;
  border-radius: inherit;
}

.pagination .page-item.active a {
  background: var(--var-bg-color);
  color: var(--var-text-color);
}

.pagination .page-item:not(.active):hover a {
  background-color: var(--pagination-item-background-hover);
}

.pagination a {
  display: block;
  text-decoration: none;
  color: var(--var-bg-color);
  font-weight: var(--pagination-link-font-weight);
  border-radius: inherit;
}

.pagination.size-sm .page-item {
  --pagination-item-size: 1.875rem;
}

.pagination.size-lg .page-item {
  --pagination-item-size: 3.125rem;
}

.pagination.size-xl .page-item {
  --pagination-item-size: 3.75rem;
}

.accordion {
  list-style: none;
  width: 100%;
  margin: 0;
  padding: 0;
}

.accordion > .accordion-item > .accordion-title {
  display: flex;
  align-items: center;
  text-decoration: none;
  cursor: pointer;
  outline: none;
  color: inherit;
  border: none;
  text-align: left;
  background-color: var(--var-bg-color);
  color: var(--var-text-color);
  padding: 10px 15px;
  width: 100%;
}

.accordion > .accordion-item > .accordion-title > * {
  flex-grow: 1;
}

.accordion > .accordion-item > .accordion-title > [class^="sci"] {
  flex-grow: 0;
}

.accordion > .accordion-item.active > .accordion-title + .accordion-content {
  padding: 10px 15px;
  max-height: 100vh;
}

.accordion > .accordion-item.active > .accordion-title > .sci {
  display: none;
}

.accordion > .accordion-item.active > .accordion-title > .scia {
  display: inline-block;
}

.accordion > .accordion-item .accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: all .25s ease-in-out;
}

.sidebar-wrapper {
  z-index: var(--zindex-sidebar);
}

.sidebar-wrapper .sidebar-brand,
.sidebar-wrapper .sidebar-other {
  padding: 1em 2em;
}

.sidebar-wrapper > .sidebar {
  position: fixed;
  display: flex;
  flex-direction: column;
  background-color: var(--var-bg-color);
  color: var(--var-text-color);
  overflow-x: hidden;
}

.sidebar-wrapper > .sidebar .sidebar-link {
  padding: 0;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  list-style: none;
  margin: 0;
}

.sidebar-wrapper > .sidebar .sidebar-link * {
  text-decoration: none;
  color: inherit;
  vertical-align: middle;
  cursor: pointer;
}

.sidebar-wrapper > .sidebar .sidebar-link .sidebar-item {
  padding: var(--sidebar-item-padding-vertical) var(--sidebar-item-padding-horizontal);
}

.sidebar-wrapper > .sidebar .sidebar-link .sidebar-item.active {
  background-color: var(--var-text-color);
  color: var(--var-bg-color);
}

.sidebar-wrapper > .sidebar .sidebar-link .sidebar-item:not(.active):hover {
  background-color: var(--overlay-color);
}

.sidebar.with-right,
.sidebar:not(.with-top):not(.with-bottom) {
  top: 0;
  width: var(--sidebar-min-width);
  height: 100%;
}

.sidebar.with-top,
.sidebar.with-bottom {
  left: 0;
  width: 100%;
  height: auto;
}

.sidebar:not(.with-right):not(.with-top):not(.with-bottom) {
  left: 0;
  transform: translateX(-100%);
}

.sidebar.with-right {
  right: 0;
  transform: translateX(100%);
}

.sidebar.with-top {
  top: 0;
  transform: translateY(-100%);
}

.sidebar.with-bottom {
  bottom: 0;
  transform: translateY(100%);
}

.sidebar-wrapper.active {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--overlay-color);
}

.sidebar-wrapper.active > .sidebar {
  transform: none !important;
  transition: transform 0.3s;
}

.modal-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 0;
  display: flex;
  justify-content: center;
  overflow: hidden;
  outline: none;
  background-color: var(--overlay-color);
  z-index: var(--zindex-modal);
}

.modal-wrapper > .modal {
  position: absolute;
  margin: 2em;
  min-width: var(--modal-min-width);
  width: var(--min-width);
  transform: translateY(-2em);
  transition: 0.3s transform;
}

.modal-wrapper.active {
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
}

.modal-wrapper.active > .modal {
  transform: none;
}

@media screen and (max-width: 640px) {
  .table-responsive {
    overflow-y: hidden;
  }
}
/*# sourceMappingURL=slim-core-components.css.map */